# class RSS::Maker::ITunesChannelModel::ITunesCategoriesBase::ITunesCategoryBase

### Attributes

text[RW]

### Public Instance Methods

have_required_values?() click to toggle source

    # File lib/rss/maker/itunes.rb, line 104
    def have_required_values?
      text
    end

to_feed(feed, current) click to toggle source

    # File lib/rss/maker/itunes.rb, line 109
    def to_feed(feed, current)
      if text and current.respond_to?(:itunes_category)
        new_item = current.class::ITunesCategory.new(text)
        to_feed_for_categories(feed, new_item)
        current.itunes_categories << new_item
      end
    end

Also aliased as: to_feed_for_categories
to_feed_for_categories(feed, current)
Alias for: to_feed